## org.eclipse.datatools.modelbase.sql.routines
Interface SQLRoutinesPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface SQLRoutinesPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLRoutinesFactory`

Nested Class Summary
`static interface` `SQLRoutinesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `BUILT_IN_FUNCTION` The meta object id for the '`Built In Function`' class.
`static int` `BUILT_IN_FUNCTION__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `BUILT_IN_FUNCTION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `BUILT_IN_FUNCTION__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `BUILT_IN_FUNCTION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `BUILT_IN_FUNCTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `BUILT_IN_FUNCTION__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `BUILT_IN_FUNCTION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `BUILT_IN_FUNCTION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `BUILT_IN_FUNCTION__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `BUILT_IN_FUNCTION__LABEL` The feature id for the 'Label' attribute.
`static int` `BUILT_IN_FUNCTION__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `BUILT_IN_FUNCTION__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `BUILT_IN_FUNCTION__MUTATOR` The feature id for the 'Mutator' attribute.
`static int` `BUILT_IN_FUNCTION__NAME` The feature id for the 'Name' attribute.
`static int` `BUILT_IN_FUNCTION__NULL_CALL` The feature id for the 'Null Call' attribute.
`static int` `BUILT_IN_FUNCTION__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `BUILT_IN_FUNCTION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `BUILT_IN_FUNCTION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `BUILT_IN_FUNCTION__RETURN_CAST` The feature id for the 'Return Cast' containment reference.
`static int` `BUILT_IN_FUNCTION__RETURN_SCALAR` The feature id for the 'Return Scalar' containment reference.
`static int` `BUILT_IN_FUNCTION__RETURN_TABLE` The feature id for the 'Return Table' containment reference.
`static int` `BUILT_IN_FUNCTION__SCHEMA` The feature id for the 'Schema' reference.
`static int` `BUILT_IN_FUNCTION__SECURITY` The feature id for the 'Security' attribute.
`static int` `BUILT_IN_FUNCTION__SOURCE` The feature id for the 'Source' containment reference.
`static int` `BUILT_IN_FUNCTION__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `BUILT_IN_FUNCTION__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `BUILT_IN_FUNCTION__STATIC` The feature id for the 'Static' attribute.
`static int` `BUILT_IN_FUNCTION__TRANSFORM_GROUP` The feature id for the 'Transform Group' attribute.
`static int` `BUILT_IN_FUNCTION__TYPE_PRESERVING` The feature id for the 'Type Preserving' attribute.
`static int` `BUILT_IN_FUNCTION_FEATURE_COUNT` The number of structural features of the 'Built In Function' class.
`static int` `DATA_ACCESS` The meta object id for the '`Data Access`' enum.
`static SQLRoutinesPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `FUNCTION` The meta object id for the '`Function`' class.
`static int` `FUNCTION__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `FUNCTION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `FUNCTION__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `FUNCTION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `FUNCTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `FUNCTION__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `FUNCTION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FUNCTION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `FUNCTION__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `FUNCTION__LABEL` The feature id for the 'Label' attribute.
`static int` `FUNCTION__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `FUNCTION__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `FUNCTION__MUTATOR` The feature id for the 'Mutator' attribute.
`static int` `FUNCTION__NAME` The feature id for the 'Name' attribute.
`static int` `FUNCTION__NULL_CALL` The feature id for the 'Null Call' attribute.
`static int` `FUNCTION__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `FUNCTION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `FUNCTION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `FUNCTION__RETURN_CAST` The feature id for the 'Return Cast' containment reference.
`static int` `FUNCTION__RETURN_SCALAR` The feature id for the 'Return Scalar' containment reference.
`static int` `FUNCTION__RETURN_TABLE` The feature id for the 'Return Table' containment reference.
`static int` `FUNCTION__SCHEMA` The feature id for the 'Schema' reference.
`static int` `FUNCTION__SECURITY` The feature id for the 'Security' attribute.
`static int` `FUNCTION__SOURCE` The feature id for the 'Source' containment reference.
`static int` `FUNCTION__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `FUNCTION__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `FUNCTION__STATIC` The feature id for the 'Static' attribute.
`static int` `FUNCTION__TRANSFORM_GROUP` The feature id for the 'Transform Group' attribute.
`static int` `FUNCTION__TYPE_PRESERVING` The feature id for the 'Type Preserving' attribute.
`static int` `FUNCTION_FEATURE_COUNT` The number of structural features of the 'Function' class.
`static int` `METHOD` The meta object id for the '`Method`' class.
`static int` `METHOD__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `METHOD__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `METHOD__CONSTRUCTOR` The feature id for the 'Constructor' attribute.
`static int` `METHOD__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `METHOD__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `METHOD__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `METHOD__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `METHOD__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `METHOD__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `METHOD__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `METHOD__LABEL` The feature id for the 'Label' attribute.
`static int` `METHOD__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `METHOD__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `METHOD__MUTATOR` The feature id for the 'Mutator' attribute.
`static int` `METHOD__NAME` The feature id for the 'Name' attribute.
`static int` `METHOD__NULL_CALL` The feature id for the 'Null Call' attribute.
`static int` `METHOD__OVERRIDING` The feature id for the 'Overriding' attribute.
`static int` `METHOD__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `METHOD__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `METHOD__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `METHOD__RETURN_CAST` The feature id for the 'Return Cast' containment reference.
`static int` `METHOD__RETURN_SCALAR` The feature id for the 'Return Scalar' containment reference.
`static int` `METHOD__RETURN_TABLE` The feature id for the 'Return Table' containment reference.
`static int` `METHOD__SCHEMA` The feature id for the 'Schema' reference.
`static int` `METHOD__SECURITY` The feature id for the 'Security' attribute.
`static int` `METHOD__SOURCE` The feature id for the 'Source' containment reference.
`static int` `METHOD__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `METHOD__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `METHOD__STATIC` The feature id for the 'Static' attribute.
`static int` `METHOD__TRANSFORM_GROUP` The feature id for the 'Transform Group' attribute.
`static int` `METHOD__TYPE_PRESERVING` The feature id for the 'Type Preserving' attribute.
`static int` `METHOD_FEATURE_COUNT` The number of structural features of the 'Method' class.
`static int` `PARAMETER` The meta object id for the '`Parameter`' class.
`static int` `PARAMETER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PARAMETER__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `PARAMETER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PARAMETER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PARAMETER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PARAMETER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `PARAMETER__LABEL` The feature id for the 'Label' attribute.
`static int` `PARAMETER__LOCATOR` The feature id for the 'Locator' attribute.
`static int` `PARAMETER__MODE` The feature id for the 'Mode' attribute.
`static int` `PARAMETER__NAME` The feature id for the 'Name' attribute.
`static int` `PARAMETER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PARAMETER__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `PARAMETER__ROUTINE` The feature id for the 'Routine' container reference.
`static int` `PARAMETER__STRING_TYPE_OPTION` The feature id for the 'String Type Option' containment reference.
`static int` `PARAMETER_FEATURE_COUNT` The number of structural features of the 'Parameter' class.
`static int` `PARAMETER_MODE` The meta object id for the '`Parameter Mode`' enum.
`static int` `PROCEDURE` The meta object id for the '`Procedure`' class.
`static int` `PROCEDURE__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `PROCEDURE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PROCEDURE__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `PROCEDURE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PROCEDURE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PROCEDURE__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `PROCEDURE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PROCEDURE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `PROCEDURE__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `PROCEDURE__LABEL` The feature id for the 'Label' attribute.
`static int` `PROCEDURE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `PROCEDURE__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `PROCEDURE__MAX_RESULT_SETS` The feature id for the 'Max Result Sets' attribute.
`static int` `PROCEDURE__NAME` The feature id for the 'Name' attribute.
`static int` `PROCEDURE__OLD_SAVE_POINT` The feature id for the 'Old Save Point' attribute.
`static int` `PROCEDURE__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `PROCEDURE__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `PROCEDURE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PROCEDURE__RESULT_SET` The feature id for the 'Result Set' containment reference list.
`static int` `PROCEDURE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `PROCEDURE__SECURITY` The feature id for the 'Security' attribute.
`static int` `PROCEDURE__SOURCE` The feature id for the 'Source' containment reference.
`static int` `PROCEDURE__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `PROCEDURE__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `PROCEDURE_FEATURE_COUNT` The number of structural features of the 'Procedure' class.
`static int` `ROUTINE` The meta object id for the '`Routine`' class.
`static int` `ROUTINE__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `ROUTINE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ROUTINE__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `ROUTINE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ROUTINE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ROUTINE__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `ROUTINE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ROUTINE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `ROUTINE__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `ROUTINE__LABEL` The feature id for the 'Label' attribute.
`static int` `ROUTINE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `ROUTINE__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `ROUTINE__NAME` The feature id for the 'Name' attribute.
`static int` `ROUTINE__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `ROUTINE__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `ROUTINE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ROUTINE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `ROUTINE__SECURITY` The feature id for the 'Security' attribute.
`static int` `ROUTINE__SOURCE` The feature id for the 'Source' containment reference.
`static int` `ROUTINE__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `ROUTINE__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `ROUTINE_FEATURE_COUNT` The number of structural features of the 'Routine' class.
`static int` `ROUTINE_RESULT_TABLE` The meta object id for the '`Routine Result Table`' class.
`static int` `ROUTINE_RESULT_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `ROUTINE_RESULT_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ROUTINE_RESULT_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ROUTINE_RESULT_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ROUTINE_RESULT_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ROUTINE_RESULT_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `ROUTINE_RESULT_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `ROUTINE_RESULT_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `ROUTINE_RESULT_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `ROUTINE_RESULT_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `ROUTINE_RESULT_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ROUTINE_RESULT_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `ROUTINE_RESULT_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `ROUTINE_RESULT_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `ROUTINE_RESULT_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `ROUTINE_RESULT_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `ROUTINE_RESULT_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `ROUTINE_RESULT_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `ROUTINE_RESULT_TABLE_FEATURE_COUNT` The number of structural features of the 'Routine Result Table' class.
`static int` `SOURCE` The meta object id for the '`Source`' class.
`static int` `SOURCE__BODY` The feature id for the 'Body' attribute.
`static int` `SOURCE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SOURCE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SOURCE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SOURCE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SOURCE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SOURCE__LABEL` The feature id for the 'Label' attribute.
`static int` `SOURCE__NAME` The feature id for the 'Name' attribute.
`static int` `SOURCE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SOURCE_FEATURE_COUNT` The number of structural features of the 'Source' class.
`static int` `USER_DEFINED_FUNCTION` The meta object id for the '`User Defined Function`' class.
`static int` `USER_DEFINED_FUNCTION__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `USER_DEFINED_FUNCTION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `USER_DEFINED_FUNCTION__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `USER_DEFINED_FUNCTION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `USER_DEFINED_FUNCTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `USER_DEFINED_FUNCTION__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `USER_DEFINED_FUNCTION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `USER_DEFINED_FUNCTION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `USER_DEFINED_FUNCTION__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `USER_DEFINED_FUNCTION__LABEL` The feature id for the 'Label' attribute.
`static int` `USER_DEFINED_FUNCTION__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `USER_DEFINED_FUNCTION__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `USER_DEFINED_FUNCTION__MUTATOR` The feature id for the 'Mutator' attribute.
`static int` `USER_DEFINED_FUNCTION__NAME` The feature id for the 'Name' attribute.
`static int` `USER_DEFINED_FUNCTION__NULL_CALL` The feature id for the 'Null Call' attribute.
`static int` `USER_DEFINED_FUNCTION__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `USER_DEFINED_FUNCTION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `USER_DEFINED_FUNCTION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `USER_DEFINED_FUNCTION__RETURN_CAST` The feature id for the 'Return Cast' containment reference.
`static int` `USER_DEFINED_FUNCTION__RETURN_SCALAR` The feature id for the 'Return Scalar' containment reference.
`static int` `USER_DEFINED_FUNCTION__RETURN_TABLE` The feature id for the 'Return Table' containment reference.
`static int` `USER_DEFINED_FUNCTION__SCHEMA` The feature id for the 'Schema' reference.
`static int` `USER_DEFINED_FUNCTION__SECURITY` The feature id for the 'Security' attribute.
`static int` `USER_DEFINED_FUNCTION__SOURCE` The feature id for the 'Source' containment reference.
`static int` `USER_DEFINED_FUNCTION__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `USER_DEFINED_FUNCTION__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `USER_DEFINED_FUNCTION__STATIC` The feature id for the 'Static' attribute.
`static int` `USER_DEFINED_FUNCTION__TRANSFORM_GROUP` The feature id for the 'Transform Group' attribute.
`static int` `USER_DEFINED_FUNCTION__TYPE_PRESERVING` The feature id for the 'Type Preserving' attribute.
`static int` `USER_DEFINED_FUNCTION_FEATURE_COUNT` The number of structural features of the 'User Defined Function' class.

Method Summary
`org.eclipse.emf.ecore.EClass` `getBuiltInFunction()` Returns the meta object for class '`Built In Function`'.
`org.eclipse.emf.ecore.EEnum` `getDataAccess()` Returns the meta object for enum '`Data Access`'.
`org.eclipse.emf.ecore.EAttribute` `getFunction_Mutator()` Returns the meta object for the attribute '`Mutator`'.
`org.eclipse.emf.ecore.EAttribute` `getFunction_NullCall()` Returns the meta object for the attribute '`Null Call`'.
`org.eclipse.emf.ecore.EReference` `getFunction_ReturnCast()` Returns the meta object for the containment reference '`Return Cast`'.
`org.eclipse.emf.ecore.EReference` `getFunction_ReturnScalar()` Returns the meta object for the containment reference '`Return Scalar`'.
`org.eclipse.emf.ecore.EReference` `getFunction_ReturnTable()` Returns the meta object for the containment reference '`Return Table`'.
`org.eclipse.emf.ecore.EAttribute` `getFunction_Static()` Returns the meta object for the attribute '`Static`'.
`org.eclipse.emf.ecore.EAttribute` `getFunction_TransformGroup()` Returns the meta object for the attribute '`Transform Group`'.
`org.eclipse.emf.ecore.EAttribute` `getFunction_TypePreserving()` Returns the meta object for the attribute '`Type Preserving`'.
`org.eclipse.emf.ecore.EClass` `getFunction()` Returns the meta object for class '`Function`'.
`org.eclipse.emf.ecore.EAttribute` `getMethod_Constructor()` Returns the meta object for the attribute '`Constructor`'.
`org.eclipse.emf.ecore.EAttribute` `getMethod_Overriding()` Returns the meta object for the attribute '`Overriding`'.
`org.eclipse.emf.ecore.EClass` `getMethod()` Returns the meta object for class '`Method`'.
`org.eclipse.emf.ecore.EAttribute` `getParameter_Locator()` Returns the meta object for the attribute '`Locator`'.
`org.eclipse.emf.ecore.EAttribute` `getParameter_Mode()` Returns the meta object for the attribute '`Mode`'.
`org.eclipse.emf.ecore.EReference` `getParameter_Routine()` Returns the meta object for the container reference '`Routine`'.
`org.eclipse.emf.ecore.EReference` `getParameter_StringTypeOption()` Returns the meta object for the containment reference '`String Type Option`'.
`org.eclipse.emf.ecore.EClass` `getParameter()` Returns the meta object for class '`Parameter`'.
`org.eclipse.emf.ecore.EEnum` `getParameterMode()` Returns the meta object for enum '`Parameter Mode`'.
`org.eclipse.emf.ecore.EAttribute` `getProcedure_MaxResultSets()` Returns the meta object for the attribute '`Max Result Sets`'.
`org.eclipse.emf.ecore.EAttribute` `getProcedure_OldSavePoint()` Returns the meta object for the attribute '`Old Save Point`'.
`org.eclipse.emf.ecore.EReference` `getProcedure_ResultSet()` Returns the meta object for the containment reference list '`Result Set`'.
`org.eclipse.emf.ecore.EClass` `getProcedure()` Returns the meta object for class '`Procedure`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_AuthorizationID()` Returns the meta object for the attribute '`Authorization ID`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_CreationTS()` Returns the meta object for the attribute '`Creation TS`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_Deterministic()` Returns the meta object for the attribute '`Deterministic`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_ExternalName()` Returns the meta object for the attribute '`External Name`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_Language()` Returns the meta object for the attribute '`Language`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_LastAlteredTS()` Returns the meta object for the attribute '`Last Altered TS`'.
`org.eclipse.emf.ecore.EReference` `getRoutine_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_ParameterStyle()` Returns the meta object for the attribute '`Parameter Style`'.
`org.eclipse.emf.ecore.EReference` `getRoutine_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_Security()` Returns the meta object for the attribute '`Security`'.
`org.eclipse.emf.ecore.EReference` `getRoutine_Source()` Returns the meta object for the containment reference '`Source`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_SpecificName()` Returns the meta object for the attribute '`Specific Name`'.
`org.eclipse.emf.ecore.EAttribute` `getRoutine_SqlDataAccess()` Returns the meta object for the attribute '`Sql Data Access`'.
`org.eclipse.emf.ecore.EClass` `getRoutine()` Returns the meta object for class '`Routine`'.
`org.eclipse.emf.ecore.EClass` `getRoutineResultTable()` Returns the meta object for class '`Routine Result Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSource_Body()` Returns the meta object for the attribute '`Body`'.
`org.eclipse.emf.ecore.EClass` `getSource()` Returns the meta object for class '`Source`'.
`SQLRoutinesFactory` `getSQLRoutinesFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getUserDefinedFunction()` Returns the meta object for class '`User Defined Function`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SQLRoutinesPackage eINSTANCE

  The singleton instance of the package.

### ROUTINE

    static final int ROUTINE

  The meta object id for the '`Routine`' class.

  See Also:
    `RoutineImpl`, `SQLRoutinesPackageImpl.getRoutine()`, Constant Field Values

### ROUTINE__EANNOTATIONS

    static final int ROUTINE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE__NAME

    static final int ROUTINE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ROUTINE__DEPENDENCIES

    static final int ROUTINE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE__DESCRIPTION

    static final int ROUTINE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ROUTINE__LABEL

    static final int ROUTINE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ROUTINE__COMMENTS

    static final int ROUTINE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### ROUTINE__EXTENSIONS

    static final int ROUTINE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE__PRIVILEGES

    static final int ROUTINE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### ROUTINE__SPECIFIC_NAME

    static final int ROUTINE__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### ROUTINE__LANGUAGE

    static final int ROUTINE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### ROUTINE__PARAMETER_STYLE

    static final int ROUTINE__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### ROUTINE__DETERMINISTIC

    static final int ROUTINE__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### ROUTINE__SQL_DATA_ACCESS

    static final int ROUTINE__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### ROUTINE__CREATION_TS

    static final int ROUTINE__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### ROUTINE__LAST_ALTERED_TS

    static final int ROUTINE__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### ROUTINE__AUTHORIZATION_ID

    static final int ROUTINE__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### ROUTINE__SECURITY

    static final int ROUTINE__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### ROUTINE__EXTERNAL_NAME

    static final int ROUTINE__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### ROUTINE__PARAMETERS

    static final int ROUTINE__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE__SOURCE

    static final int ROUTINE__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ROUTINE__SCHEMA

    static final int ROUTINE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### ROUTINE_FEATURE_COUNT

    static final int ROUTINE_FEATURE_COUNT

  The number of structural features of the 'Routine' class.

  See Also:
    Constant Field Values

### SOURCE

    static final int SOURCE

  The meta object id for the '`Source`' class.

  See Also:
    `SourceImpl`, `SQLRoutinesPackageImpl.getSource()`, Constant Field Values

### SOURCE__EANNOTATIONS

    static final int SOURCE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SOURCE__NAME

    static final int SOURCE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SOURCE__DEPENDENCIES

    static final int SOURCE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SOURCE__DESCRIPTION

    static final int SOURCE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SOURCE__LABEL

    static final int SOURCE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SOURCE__COMMENTS

    static final int SOURCE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SOURCE__EXTENSIONS

    static final int SOURCE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SOURCE__PRIVILEGES

    static final int SOURCE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SOURCE__BODY

    static final int SOURCE__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values

### SOURCE_FEATURE_COUNT

    static final int SOURCE_FEATURE_COUNT

  The number of structural features of the 'Source' class.

  See Also:
    Constant Field Values

### PARAMETER

    static final int PARAMETER

  The meta object id for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `SQLRoutinesPackageImpl.getParameter()`, Constant Field Values

### PARAMETER__EANNOTATIONS

    static final int PARAMETER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PARAMETER__NAME

    static final int PARAMETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PARAMETER__DEPENDENCIES

    static final int PARAMETER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### PARAMETER__DESCRIPTION

    static final int PARAMETER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### PARAMETER__LABEL

    static final int PARAMETER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### PARAMETER__COMMENTS

    static final int PARAMETER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### PARAMETER__EXTENSIONS

    static final int PARAMETER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### PARAMETER__PRIVILEGES

    static final int PARAMETER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### PARAMETER__CONTAINED_TYPE

    static final int PARAMETER__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

  See Also:
    Constant Field Values

### PARAMETER__REFERENCED_TYPE

    static final int PARAMETER__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

  See Also:
    Constant Field Values

### PARAMETER__MODE

    static final int PARAMETER__MODE

  The feature id for the 'Mode' attribute.

  See Also:
    Constant Field Values

### PARAMETER__LOCATOR

    static final int PARAMETER__LOCATOR

  The feature id for the 'Locator' attribute.

  See Also:
    Constant Field Values

### PARAMETER__ROUTINE

    static final int PARAMETER__ROUTINE

  The feature id for the 'Routine' container reference.

  See Also:
    Constant Field Values

### PARAMETER__STRING_TYPE_OPTION

    static final int PARAMETER__STRING_TYPE_OPTION

  The feature id for the 'String Type Option' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FEATURE_COUNT

    static final int PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Parameter' class.

  See Also:
    Constant Field Values

### PROCEDURE

    static final int PROCEDURE

  The meta object id for the '`Procedure`' class.

  See Also:
    `ProcedureImpl`, `SQLRoutinesPackageImpl.getProcedure()`, Constant Field Values

### PROCEDURE__EANNOTATIONS

    static final int PROCEDURE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PROCEDURE__NAME

    static final int PROCEDURE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__DEPENDENCIES

    static final int PROCEDURE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### PROCEDURE__DESCRIPTION

    static final int PROCEDURE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__LABEL

    static final int PROCEDURE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__COMMENTS

    static final int PROCEDURE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### PROCEDURE__EXTENSIONS

    static final int PROCEDURE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### PROCEDURE__PRIVILEGES

    static final int PROCEDURE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### PROCEDURE__SPECIFIC_NAME

    static final int PROCEDURE__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__LANGUAGE

    static final int PROCEDURE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__PARAMETER_STYLE

    static final int PROCEDURE__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__DETERMINISTIC

    static final int PROCEDURE__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__SQL_DATA_ACCESS

    static final int PROCEDURE__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__CREATION_TS

    static final int PROCEDURE__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__LAST_ALTERED_TS

    static final int PROCEDURE__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__AUTHORIZATION_ID

    static final int PROCEDURE__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__SECURITY

    static final int PROCEDURE__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__EXTERNAL_NAME

    static final int PROCEDURE__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__PARAMETERS

    static final int PROCEDURE__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### PROCEDURE__SOURCE

    static final int PROCEDURE__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### PROCEDURE__SCHEMA

    static final int PROCEDURE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### PROCEDURE__MAX_RESULT_SETS

    static final int PROCEDURE__MAX_RESULT_SETS

  The feature id for the 'Max Result Sets' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__OLD_SAVE_POINT

    static final int PROCEDURE__OLD_SAVE_POINT

  The feature id for the 'Old Save Point' attribute.

  See Also:
    Constant Field Values

### PROCEDURE__RESULT_SET

    static final int PROCEDURE__RESULT_SET

  The feature id for the 'Result Set' containment reference list.

  See Also:
    Constant Field Values

### PROCEDURE_FEATURE_COUNT

    static final int PROCEDURE_FEATURE_COUNT

  The number of structural features of the 'Procedure' class.

  See Also:
    Constant Field Values

### FUNCTION

    static final int FUNCTION

  The meta object id for the '`Function`' class.

  See Also:
    `FunctionImpl`, `SQLRoutinesPackageImpl.getFunction()`, Constant Field Values

### FUNCTION__EANNOTATIONS

    static final int FUNCTION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### FUNCTION__NAME

    static final int FUNCTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FUNCTION__DEPENDENCIES

    static final int FUNCTION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### FUNCTION__DESCRIPTION

    static final int FUNCTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FUNCTION__LABEL

    static final int FUNCTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FUNCTION__COMMENTS

    static final int FUNCTION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### FUNCTION__EXTENSIONS

    static final int FUNCTION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### FUNCTION__PRIVILEGES

    static final int FUNCTION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### FUNCTION__SPECIFIC_NAME

    static final int FUNCTION__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### FUNCTION__LANGUAGE

    static final int FUNCTION__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### FUNCTION__PARAMETER_STYLE

    static final int FUNCTION__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### FUNCTION__DETERMINISTIC

    static final int FUNCTION__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### FUNCTION__SQL_DATA_ACCESS

    static final int FUNCTION__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### FUNCTION__CREATION_TS

    static final int FUNCTION__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### FUNCTION__LAST_ALTERED_TS

    static final int FUNCTION__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### FUNCTION__AUTHORIZATION_ID

    static final int FUNCTION__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### FUNCTION__SECURITY

    static final int FUNCTION__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### FUNCTION__EXTERNAL_NAME

    static final int FUNCTION__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### FUNCTION__PARAMETERS

    static final int FUNCTION__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### FUNCTION__SOURCE

    static final int FUNCTION__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### FUNCTION__SCHEMA

    static final int FUNCTION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### FUNCTION__NULL_CALL

    static final int FUNCTION__NULL_CALL

  The feature id for the 'Null Call' attribute.

  See Also:
    Constant Field Values

### FUNCTION__STATIC

    static final int FUNCTION__STATIC

  The feature id for the 'Static' attribute.

  See Also:
    Constant Field Values

### FUNCTION__TRANSFORM_GROUP

    static final int FUNCTION__TRANSFORM_GROUP

  The feature id for the 'Transform Group' attribute.

  See Also:
    Constant Field Values

### FUNCTION__TYPE_PRESERVING

    static final int FUNCTION__TYPE_PRESERVING

  The feature id for the 'Type Preserving' attribute.

  See Also:
    Constant Field Values

### FUNCTION__MUTATOR

    static final int FUNCTION__MUTATOR

  The feature id for the 'Mutator' attribute.

  See Also:
    Constant Field Values

### FUNCTION__RETURN_TABLE

    static final int FUNCTION__RETURN_TABLE

  The feature id for the 'Return Table' containment reference.

  See Also:
    Constant Field Values

### FUNCTION__RETURN_SCALAR

    static final int FUNCTION__RETURN_SCALAR

  The feature id for the 'Return Scalar' containment reference.

  See Also:
    Constant Field Values

### FUNCTION__RETURN_CAST

    static final int FUNCTION__RETURN_CAST

  The feature id for the 'Return Cast' containment reference.

  See Also:
    Constant Field Values

### FUNCTION_FEATURE_COUNT

    static final int FUNCTION_FEATURE_COUNT

  The number of structural features of the 'Function' class.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE

    static final int ROUTINE_RESULT_TABLE

  The meta object id for the '`Routine Result Table`' class.

  See Also:
    `RoutineResultTableImpl`, `SQLRoutinesPackageImpl.getRoutineResultTable()`, Constant Field Values

### ROUTINE_RESULT_TABLE__EANNOTATIONS

    static final int ROUTINE_RESULT_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__NAME

    static final int ROUTINE_RESULT_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__DEPENDENCIES

    static final int ROUTINE_RESULT_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__DESCRIPTION

    static final int ROUTINE_RESULT_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__LABEL

    static final int ROUTINE_RESULT_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__COMMENTS

    static final int ROUTINE_RESULT_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__EXTENSIONS

    static final int ROUTINE_RESULT_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__PRIVILEGES

    static final int ROUTINE_RESULT_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__COLUMNS

    static final int ROUTINE_RESULT_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__SUPERTABLE

    static final int ROUTINE_RESULT_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__SUBTABLES

    static final int ROUTINE_RESULT_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__SCHEMA

    static final int ROUTINE_RESULT_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__UDT

    static final int ROUTINE_RESULT_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__TRIGGERS

    static final int ROUTINE_RESULT_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__INDEX

    static final int ROUTINE_RESULT_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__SELF_REF_COLUMN_GENERATION

    static final int ROUTINE_RESULT_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__INSERTABLE

    static final int ROUTINE_RESULT_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE__UPDATABLE

    static final int ROUTINE_RESULT_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### ROUTINE_RESULT_TABLE_FEATURE_COUNT

    static final int ROUTINE_RESULT_TABLE_FEATURE_COUNT

  The number of structural features of the 'Routine Result Table' class.

  See Also:
    Constant Field Values

### METHOD

    static final int METHOD

  The meta object id for the '`Method`' class.

  See Also:
    `MethodImpl`, `SQLRoutinesPackageImpl.getMethod()`, Constant Field Values

### METHOD__EANNOTATIONS

    static final int METHOD__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### METHOD__NAME

    static final int METHOD__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### METHOD__DEPENDENCIES

    static final int METHOD__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### METHOD__DESCRIPTION

    static final int METHOD__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### METHOD__LABEL

    static final int METHOD__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### METHOD__COMMENTS

    static final int METHOD__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### METHOD__EXTENSIONS

    static final int METHOD__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### METHOD__PRIVILEGES

    static final int METHOD__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### METHOD__SPECIFIC_NAME

    static final int METHOD__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### METHOD__LANGUAGE

    static final int METHOD__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### METHOD__PARAMETER_STYLE

    static final int METHOD__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### METHOD__DETERMINISTIC

    static final int METHOD__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### METHOD__SQL_DATA_ACCESS

    static final int METHOD__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### METHOD__CREATION_TS

    static final int METHOD__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### METHOD__LAST_ALTERED_TS

    static final int METHOD__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### METHOD__AUTHORIZATION_ID

    static final int METHOD__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### METHOD__SECURITY

    static final int METHOD__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### METHOD__EXTERNAL_NAME

    static final int METHOD__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### METHOD__PARAMETERS

    static final int METHOD__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### METHOD__SOURCE

    static final int METHOD__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### METHOD__SCHEMA

    static final int METHOD__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### METHOD__NULL_CALL

    static final int METHOD__NULL_CALL

  The feature id for the 'Null Call' attribute.

  See Also:
    Constant Field Values

### METHOD__STATIC

    static final int METHOD__STATIC

  The feature id for the 'Static' attribute.

  See Also:
    Constant Field Values

### METHOD__TRANSFORM_GROUP

    static final int METHOD__TRANSFORM_GROUP

  The feature id for the 'Transform Group' attribute.

  See Also:
    Constant Field Values

### METHOD__TYPE_PRESERVING

    static final int METHOD__TYPE_PRESERVING

  The feature id for the 'Type Preserving' attribute.

  See Also:
    Constant Field Values

### METHOD__MUTATOR

    static final int METHOD__MUTATOR

  The feature id for the 'Mutator' attribute.

  See Also:
    Constant Field Values

### METHOD__RETURN_TABLE

    static final int METHOD__RETURN_TABLE

  The feature id for the 'Return Table' containment reference.

  See Also:
    Constant Field Values

### METHOD__RETURN_SCALAR

    static final int METHOD__RETURN_SCALAR

  The feature id for the 'Return Scalar' containment reference.

  See Also:
    Constant Field Values

### METHOD__RETURN_CAST

    static final int METHOD__RETURN_CAST

  The feature id for the 'Return Cast' containment reference.

  See Also:
    Constant Field Values

### METHOD__OVERRIDING

    static final int METHOD__OVERRIDING

  The feature id for the 'Overriding' attribute.

  See Also:
    Constant Field Values

### METHOD__CONSTRUCTOR

    static final int METHOD__CONSTRUCTOR

  The feature id for the 'Constructor' attribute.

  See Also:
    Constant Field Values

### METHOD_FEATURE_COUNT

    static final int METHOD_FEATURE_COUNT

  The number of structural features of the 'Method' class.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION

    static final int USER_DEFINED_FUNCTION

  The meta object id for the '`User Defined Function`' class.

  See Also:
    `UserDefinedFunctionImpl`, `SQLRoutinesPackageImpl.getUserDefinedFunction()`, Constant Field Values

### USER_DEFINED_FUNCTION__EANNOTATIONS

    static final int USER_DEFINED_FUNCTION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__NAME

    static final int USER_DEFINED_FUNCTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__DEPENDENCIES

    static final int USER_DEFINED_FUNCTION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__DESCRIPTION

    static final int USER_DEFINED_FUNCTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__LABEL

    static final int USER_DEFINED_FUNCTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__COMMENTS

    static final int USER_DEFINED_FUNCTION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__EXTENSIONS

    static final int USER_DEFINED_FUNCTION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__PRIVILEGES

    static final int USER_DEFINED_FUNCTION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__SPECIFIC_NAME

    static final int USER_DEFINED_FUNCTION__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__LANGUAGE

    static final int USER_DEFINED_FUNCTION__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__PARAMETER_STYLE

    static final int USER_DEFINED_FUNCTION__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__DETERMINISTIC

    static final int USER_DEFINED_FUNCTION__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__SQL_DATA_ACCESS

    static final int USER_DEFINED_FUNCTION__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__CREATION_TS

    static final int USER_DEFINED_FUNCTION__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__LAST_ALTERED_TS

    static final int USER_DEFINED_FUNCTION__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__AUTHORIZATION_ID

    static final int USER_DEFINED_FUNCTION__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__SECURITY

    static final int USER_DEFINED_FUNCTION__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__EXTERNAL_NAME

    static final int USER_DEFINED_FUNCTION__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__PARAMETERS

    static final int USER_DEFINED_FUNCTION__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__SOURCE

    static final int USER_DEFINED_FUNCTION__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__SCHEMA

    static final int USER_DEFINED_FUNCTION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__NULL_CALL

    static final int USER_DEFINED_FUNCTION__NULL_CALL

  The feature id for the 'Null Call' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__STATIC

    static final int USER_DEFINED_FUNCTION__STATIC

  The feature id for the 'Static' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__TRANSFORM_GROUP

    static final int USER_DEFINED_FUNCTION__TRANSFORM_GROUP

  The feature id for the 'Transform Group' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__TYPE_PRESERVING

    static final int USER_DEFINED_FUNCTION__TYPE_PRESERVING

  The feature id for the 'Type Preserving' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__MUTATOR

    static final int USER_DEFINED_FUNCTION__MUTATOR

  The feature id for the 'Mutator' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__RETURN_TABLE

    static final int USER_DEFINED_FUNCTION__RETURN_TABLE

  The feature id for the 'Return Table' containment reference.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__RETURN_SCALAR

    static final int USER_DEFINED_FUNCTION__RETURN_SCALAR

  The feature id for the 'Return Scalar' containment reference.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION__RETURN_CAST

    static final int USER_DEFINED_FUNCTION__RETURN_CAST

  The feature id for the 'Return Cast' containment reference.

  See Also:
    Constant Field Values

### USER_DEFINED_FUNCTION_FEATURE_COUNT

    static final int USER_DEFINED_FUNCTION_FEATURE_COUNT

  The number of structural features of the 'User Defined Function' class.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION

    static final int BUILT_IN_FUNCTION

  The meta object id for the '`Built In Function`' class.

  See Also:
    `BuiltInFunctionImpl`, `SQLRoutinesPackageImpl.getBuiltInFunction()`, Constant Field Values

### BUILT_IN_FUNCTION__EANNOTATIONS

    static final int BUILT_IN_FUNCTION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__NAME

    static final int BUILT_IN_FUNCTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__DEPENDENCIES

    static final int BUILT_IN_FUNCTION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__DESCRIPTION

    static final int BUILT_IN_FUNCTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__LABEL

    static final int BUILT_IN_FUNCTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__COMMENTS

    static final int BUILT_IN_FUNCTION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__EXTENSIONS

    static final int BUILT_IN_FUNCTION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__PRIVILEGES

    static final int BUILT_IN_FUNCTION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__SPECIFIC_NAME

    static final int BUILT_IN_FUNCTION__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__LANGUAGE

    static final int BUILT_IN_FUNCTION__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__PARAMETER_STYLE

    static final int BUILT_IN_FUNCTION__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__DETERMINISTIC

    static final int BUILT_IN_FUNCTION__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__SQL_DATA_ACCESS

    static final int BUILT_IN_FUNCTION__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__CREATION_TS

    static final int BUILT_IN_FUNCTION__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__LAST_ALTERED_TS

    static final int BUILT_IN_FUNCTION__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__AUTHORIZATION_ID

    static final int BUILT_IN_FUNCTION__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__SECURITY

    static final int BUILT_IN_FUNCTION__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__EXTERNAL_NAME

    static final int BUILT_IN_FUNCTION__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__PARAMETERS

    static final int BUILT_IN_FUNCTION__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__SOURCE

    static final int BUILT_IN_FUNCTION__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__SCHEMA

    static final int BUILT_IN_FUNCTION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__NULL_CALL

    static final int BUILT_IN_FUNCTION__NULL_CALL

  The feature id for the 'Null Call' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__STATIC

    static final int BUILT_IN_FUNCTION__STATIC

  The feature id for the 'Static' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__TRANSFORM_GROUP

    static final int BUILT_IN_FUNCTION__TRANSFORM_GROUP

  The feature id for the 'Transform Group' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__TYPE_PRESERVING

    static final int BUILT_IN_FUNCTION__TYPE_PRESERVING

  The feature id for the 'Type Preserving' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__MUTATOR

    static final int BUILT_IN_FUNCTION__MUTATOR

  The feature id for the 'Mutator' attribute.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__RETURN_TABLE

    static final int BUILT_IN_FUNCTION__RETURN_TABLE

  The feature id for the 'Return Table' containment reference.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__RETURN_SCALAR

    static final int BUILT_IN_FUNCTION__RETURN_SCALAR

  The feature id for the 'Return Scalar' containment reference.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION__RETURN_CAST

    static final int BUILT_IN_FUNCTION__RETURN_CAST

  The feature id for the 'Return Cast' containment reference.

  See Also:
    Constant Field Values

### BUILT_IN_FUNCTION_FEATURE_COUNT

    static final int BUILT_IN_FUNCTION_FEATURE_COUNT

  The number of structural features of the 'Built In Function' class.

  See Also:
    Constant Field Values

### DATA_ACCESS

    static final int DATA_ACCESS

  The meta object id for the '`Data Access`' enum.

  See Also:
    `DataAccess`, `SQLRoutinesPackageImpl.getDataAccess()`, Constant Field Values

### PARAMETER_MODE

    static final int PARAMETER_MODE

  The meta object id for the '`Parameter Mode`' enum.

  See Also:
    `ParameterMode`, `SQLRoutinesPackageImpl.getParameterMode()`, Constant Field Values

Method Detail

### getRoutine

    org.eclipse.emf.ecore.EClass getRoutine()

  Returns the meta object for class '`Routine`'.

  Returns:
    the meta object for class 'Routine'.
  See Also:
    `Routine`

### getRoutine_SpecificName

    org.eclipse.emf.ecore.EAttribute getRoutine_SpecificName()

  Returns the meta object for the attribute '`Specific Name`'.

  Returns:
    the meta object for the attribute 'Specific Name'.
  See Also:
    `Routine.getSpecificName()`, `getRoutine()`

### getRoutine_Language

    org.eclipse.emf.ecore.EAttribute getRoutine_Language()

  Returns the meta object for the attribute '`Language`'.

  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `Routine.getLanguage()`, `getRoutine()`

### getRoutine_ParameterStyle

    org.eclipse.emf.ecore.EAttribute getRoutine_ParameterStyle()

  Returns the meta object for the attribute '`Parameter Style`'.

  Returns:
    the meta object for the attribute 'Parameter Style'.
  See Also:
    `Routine.getParameterStyle()`, `getRoutine()`

### getRoutine_Deterministic

    org.eclipse.emf.ecore.EAttribute getRoutine_Deterministic()

  Returns the meta object for the attribute '`Deterministic`'.

  Returns:
    the meta object for the attribute 'Deterministic'.
  See Also:
    `Routine.isDeterministic()`, `getRoutine()`

### getRoutine_SqlDataAccess

    org.eclipse.emf.ecore.EAttribute getRoutine_SqlDataAccess()

  Returns the meta object for the attribute '`Sql Data Access`'.

  Returns:
    the meta object for the attribute 'Sql Data Access'.
  See Also:
    `Routine.getSqlDataAccess()`, `getRoutine()`

### getRoutine_CreationTS

    org.eclipse.emf.ecore.EAttribute getRoutine_CreationTS()

  Returns the meta object for the attribute '`Creation TS`'.

  Returns:
    the meta object for the attribute 'Creation TS'.
  See Also:
    `Routine.getCreationTS()`, `getRoutine()`

### getRoutine_LastAlteredTS

    org.eclipse.emf.ecore.EAttribute getRoutine_LastAlteredTS()

  Returns the meta object for the attribute '`Last Altered TS`'.

  Returns:
    the meta object for the attribute 'Last Altered TS'.
  See Also:
    `Routine.getLastAlteredTS()`, `getRoutine()`

### getRoutine_AuthorizationID

    org.eclipse.emf.ecore.EAttribute getRoutine_AuthorizationID()

  Returns the meta object for the attribute '`Authorization ID`'.

  Returns:
    the meta object for the attribute 'Authorization ID'.
  See Also:
    `Routine.getAuthorizationID()`, `getRoutine()`

### getRoutine_Security

    org.eclipse.emf.ecore.EAttribute getRoutine_Security()

  Returns the meta object for the attribute '`Security`'.

  Returns:
    the meta object for the attribute 'Security'.
  See Also:
    `Routine.getSecurity()`, `getRoutine()`

### getRoutine_ExternalName

    org.eclipse.emf.ecore.EAttribute getRoutine_ExternalName()

  Returns the meta object for the attribute '`External Name`'.

  Returns:
    the meta object for the attribute 'External Name'.
  See Also:
    `Routine.getExternalName()`, `getRoutine()`

### getRoutine_Parameters

    org.eclipse.emf.ecore.EReference getRoutine_Parameters()

  Returns the meta object for the containment reference list '`Parameters`'.

  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Routine.getParameters()`, `getRoutine()`

### getRoutine_Source

    org.eclipse.emf.ecore.EReference getRoutine_Source()

  Returns the meta object for the containment reference '`Source`'.

  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `Routine.getSource()`, `getRoutine()`

### getRoutine_Schema

    org.eclipse.emf.ecore.EReference getRoutine_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Routine.getSchema()`, `getRoutine()`

### getSource

    org.eclipse.emf.ecore.EClass getSource()

  Returns the meta object for class '`Source`'.

  Returns:
    the meta object for class 'Source'.
  See Also:
    `Source`

### getSource_Body

    org.eclipse.emf.ecore.EAttribute getSource_Body()

  Returns the meta object for the attribute '`Body`'.

  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `Source.getBody()`, `getSource()`

### getParameter

    org.eclipse.emf.ecore.EClass getParameter()

  Returns the meta object for class '`Parameter`'.

  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getParameter_Mode

    org.eclipse.emf.ecore.EAttribute getParameter_Mode()

  Returns the meta object for the attribute '`Mode`'.

  Returns:
    the meta object for the attribute 'Mode'.
  See Also:
    `Parameter.getMode()`, `getParameter()`

### getParameter_Locator

    org.eclipse.emf.ecore.EAttribute getParameter_Locator()

  Returns the meta object for the attribute '`Locator`'.

  Returns:
    the meta object for the attribute 'Locator'.
  See Also:
    `Parameter.isLocator()`, `getParameter()`

### getParameter_Routine

    org.eclipse.emf.ecore.EReference getParameter_Routine()

  Returns the meta object for the container reference '`Routine`'.

  Returns:
    the meta object for the container reference 'Routine'.
  See Also:
    `Parameter.getRoutine()`, `getParameter()`

### getParameter_StringTypeOption

    org.eclipse.emf.ecore.EReference getParameter_StringTypeOption()

  Returns the meta object for the containment reference '`String Type Option`'.

  Returns:
    the meta object for the containment reference 'String Type Option'.
  See Also:
    `Parameter.getStringTypeOption()`, `getParameter()`

### getProcedure

    org.eclipse.emf.ecore.EClass getProcedure()

  Returns the meta object for class '`Procedure`'.

  Returns:
    the meta object for class 'Procedure'.
  See Also:
    `Procedure`

### getProcedure_MaxResultSets

    org.eclipse.emf.ecore.EAttribute getProcedure_MaxResultSets()

  Returns the meta object for the attribute '`Max Result Sets`'.

  Returns:
    the meta object for the attribute 'Max Result Sets'.
  See Also:
    `Procedure.getMaxResultSets()`, `getProcedure()`

### getProcedure_OldSavePoint

    org.eclipse.emf.ecore.EAttribute getProcedure_OldSavePoint()

  Returns the meta object for the attribute '`Old Save Point`'.

  Returns:
    the meta object for the attribute 'Old Save Point'.
  See Also:
    `Procedure.isOldSavePoint()`, `getProcedure()`

### getProcedure_ResultSet

    org.eclipse.emf.ecore.EReference getProcedure_ResultSet()

  Returns the meta object for the containment reference list '`Result Set`'.

  Returns:
    the meta object for the containment reference list 'Result Set'.
  See Also:
    `Procedure.getResultSet()`, `getProcedure()`

### getFunction

    org.eclipse.emf.ecore.EClass getFunction()

  Returns the meta object for class '`Function`'.

  Returns:
    the meta object for class 'Function'.
  See Also:
    `Function`

### getFunction_NullCall

    org.eclipse.emf.ecore.EAttribute getFunction_NullCall()

  Returns the meta object for the attribute '`Null Call`'.

  Returns:
    the meta object for the attribute 'Null Call'.
  See Also:
    `Function.isNullCall()`, `getFunction()`

### getFunction_Static

    org.eclipse.emf.ecore.EAttribute getFunction_Static()

  Returns the meta object for the attribute '`Static`'.

  Returns:
    the meta object for the attribute 'Static'.
  See Also:
    `Function.isStatic()`, `getFunction()`

### getFunction_TransformGroup

    org.eclipse.emf.ecore.EAttribute getFunction_TransformGroup()

  Returns the meta object for the attribute '`Transform Group`'.

  Returns:
    the meta object for the attribute 'Transform Group'.
  See Also:
    `Function.getTransformGroup()`, `getFunction()`

### getFunction_TypePreserving

    org.eclipse.emf.ecore.EAttribute getFunction_TypePreserving()

  Returns the meta object for the attribute '`Type Preserving`'.

  Returns:
    the meta object for the attribute 'Type Preserving'.
  See Also:
    `Function.isTypePreserving()`, `getFunction()`

### getFunction_Mutator

    org.eclipse.emf.ecore.EAttribute getFunction_Mutator()

  Returns the meta object for the attribute '`Mutator`'.

  Returns:
    the meta object for the attribute 'Mutator'.
  See Also:
    `Function.isMutator()`, `getFunction()`

### getFunction_ReturnTable

    org.eclipse.emf.ecore.EReference getFunction_ReturnTable()

  Returns the meta object for the containment reference '`Return Table`'.

  Returns:
    the meta object for the containment reference 'Return Table'.
  See Also:
    `Function.getReturnTable()`, `getFunction()`

### getFunction_ReturnScalar

    org.eclipse.emf.ecore.EReference getFunction_ReturnScalar()

  Returns the meta object for the containment reference '`Return Scalar`'.

  Returns:
    the meta object for the containment reference 'Return Scalar'.
  See Also:
    `Function.getReturnScalar()`, `getFunction()`

### getFunction_ReturnCast

    org.eclipse.emf.ecore.EReference getFunction_ReturnCast()

  Returns the meta object for the containment reference '`Return Cast`'.

  Returns:
    the meta object for the containment reference 'Return Cast'.
  See Also:
    `Function.getReturnCast()`, `getFunction()`

### getRoutineResultTable

    org.eclipse.emf.ecore.EClass getRoutineResultTable()

  Returns the meta object for class '`Routine Result Table`'.

  Returns:
    the meta object for class 'Routine Result Table'.
  See Also:
    `RoutineResultTable`

### getMethod

    org.eclipse.emf.ecore.EClass getMethod()

  Returns the meta object for class '`Method`'.

  Returns:
    the meta object for class 'Method'.
  See Also:
    `Method`

### getMethod_Overriding

    org.eclipse.emf.ecore.EAttribute getMethod_Overriding()

  Returns the meta object for the attribute '`Overriding`'.

  Returns:
    the meta object for the attribute 'Overriding'.
  See Also:
    `Method.isOverriding()`, `getMethod()`

### getMethod_Constructor

    org.eclipse.emf.ecore.EAttribute getMethod_Constructor()

  Returns the meta object for the attribute '`Constructor`'.

  Returns:
    the meta object for the attribute 'Constructor'.
  See Also:
    `Method.isConstructor()`, `getMethod()`

### getUserDefinedFunction

    org.eclipse.emf.ecore.EClass getUserDefinedFunction()

  Returns the meta object for class '`User Defined Function`'.

  Returns:
    the meta object for class 'User Defined Function'.
  See Also:
    `UserDefinedFunction`

### getBuiltInFunction

    org.eclipse.emf.ecore.EClass getBuiltInFunction()

  Returns the meta object for class '`Built In Function`'.

  Returns:
    the meta object for class 'Built In Function'.
  See Also:
    `BuiltInFunction`

### getDataAccess

    org.eclipse.emf.ecore.EEnum getDataAccess()

  Returns the meta object for enum '`Data Access`'.

  Returns:
    the meta object for enum 'Data Access'.
  See Also:
    `DataAccess`

### getParameterMode

    org.eclipse.emf.ecore.EEnum getParameterMode()

  Returns the meta object for enum '`Parameter Mode`'.

  Returns:
    the meta object for enum 'Parameter Mode'.
  See Also:
    `ParameterMode`

### getSQLRoutinesFactory

    SQLRoutinesFactory getSQLRoutinesFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.